pluginManagement {
    repositories {
        google {
            content {
                includeGroupByRegex("com\\.android.*")
                includeGroupByRegex("com\\.google.*")
                includeGroupByRegex("androidx.*")
            }
        }
        mavenCentral()
        gradlePluginPortal()
    }
}
dependencyResolutionManagement {
    repositoriesMode.set(RepositoriesMode.FAIL_ON_PROJECT_REPOS)
    repositories {
        google()
        mavenCentral()
    }
}
enableFeaturePreview("TYPESAFE_PROJECT_ACCESSORS")

rootProject.name = "TSUDesk"
include(":app")

include(":core:common")
include(":core:config")
include(":core:ui")
include(":core:navigation")
include(":core:network")

include(":core:database:impl")
include(":core:database:api")

include(":feature:schedule")
include(":feature:news")
include(":feature:progress")


include(":feature:splash")
